# ml-tracking-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The `ml-tracking` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.2.2
- Build date: 2021-07-30T17:37:40.743Z[GMT]
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil

## Getting Started

In your own code, to use this library to connect and interact with ml-tracking-api,
you can run the following:

```python

import time
import ml-tracking
from pprint import pprint
from ml-tracking.api import data_rows_api
from ml-tracking.model.create_data_row_command import CreateDataRowCommand
from ml-tracking.model.data_row_dto_paginated_list import DataRowDtoPaginatedList
from ml-tracking.model.update_data_row_command import UpdateDataRowCommand
# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = ml-tracking.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with ml-tracking.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = data_rows_api.DataRowsApi(api_client)
    page_number = 1 # int |  (optional)
page_size = 1 # int |  (optional)

    try:
        api_response = api_instance.api_data_rows_get(page_number=page_number, page_size=page_size)
        pprint(api_response)
    except ml-tracking.ApiException as e:
        print("Exception when calling DataRowsApi->api_data_rows_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DataRowsApi* | [**api_data_rows_get**](ml-tracking/docs/DataRowsApi.md#api_data_rows_get) | **GET** /api/DataRows | 
*DataRowsApi* | [**api_data_rows_id_delete**](ml-tracking/docs/DataRowsApi.md#api_data_rows_id_delete) | **DELETE** /api/DataRows/{id} | 
*DataRowsApi* | [**api_data_rows_id_put**](ml-tracking/docs/DataRowsApi.md#api_data_rows_id_put) | **PUT** /api/DataRows/{id} | 
*DataRowsApi* | [**api_data_rows_limit_get**](ml-tracking/docs/DataRowsApi.md#api_data_rows_limit_get) | **GET** /api/DataRows/{limit} | 
*DataRowsApi* | [**api_data_rows_post**](ml-tracking/docs/DataRowsApi.md#api_data_rows_post) | **POST** /api/DataRows | 
*HostedServiceApi* | [**api_hosted_service_get**](ml-tracking/docs/HostedServiceApi.md#api_hosted_service_get) | **GET** /api/HostedService | 
*PyTorchApi* | [**api_py_torch_after_epoch_post**](ml-tracking/docs/PyTorchApi.md#api_py_torch_after_epoch_post) | **POST** /api/PyTorch/AfterEpoch | 
*PyTorchApi* | [**api_py_torch_iteration_post**](ml-tracking/docs/PyTorchApi.md#api_py_torch_iteration_post) | **POST** /api/PyTorch/Iteration | 
*PyTorchApi* | [**api_py_torch_register_post**](ml-tracking/docs/PyTorchApi.md#api_py_torch_register_post) | **POST** /api/PyTorch/Register | 


## Documentation For Models

 - [CreateDataRowCommand](ml-tracking/docs/CreateDataRowCommand.md)
 - [DataRowDto](ml-tracking/docs/DataRowDto.md)
 - [DataRowDtoPaginatedList](ml-tracking/docs/DataRowDtoPaginatedList.md)
 - [EpochUpdateCommand](ml-tracking/docs/EpochUpdateCommand.md)
 - [HostedServiceDto](ml-tracking/docs/HostedServiceDto.md)
 - [IterationUpdateCommand](ml-tracking/docs/IterationUpdateCommand.md)
 - [RegisterModelRunCommand](ml-tracking/docs/RegisterModelRunCommand.md)
 - [UpdateDataRowCommand](ml-tracking/docs/UpdateDataRowCommand.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in ml-tracking.apis and ml-tracking.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from ml-tracking.api.default_api import DefaultApi`
- `from ml-tracking.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import ml-tracking
from ml-tracking.apis import *
from ml-tracking.models import *
```

